export default {
    methods: {
        goNext(info, props = '') {
            if (info.link && info.linkType === 'collection') {
                this.$router.push(`/productDetail?id=${info.linkContent}${props}`);
            } else if (info.link && info.linkType === 'user') {
                this.$router.push(`/creatorDetail?id=${info.linkContent}${props}`);
            } else if (info.link && info.linkType === 'activity') {
                this.$router.push(`/activityDetail?id=${info.linkContent}${props}`);
            } else if (info.link && info.linkType === 'collections') {
                this.$router.push(`/productSearch?search=${info.linkContent}${props}`);
            }
        }
    }
};
